Package com.orchestranetworks.ui.perspective

# Enum Class DisplayDensity

java.lang.Object
java.lang.Enum<DisplayDensity>
com.orchestranetworks.ui.perspective.DisplayDensity

All Implemented Interfaces:
  `Serializable`, `Comparable<DisplayDensity>`, `Constable`

public enum DisplayDensity extends Enum<DisplayDensity>
Represents the display density mode.

Since:
  6.0.0

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `COMFORTABLE`
  The display density is comfortable.
  `COMPACT`
  The display density is compact.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `UserMessage`
  `getLabel()`
  Returns the display density label.
  `static DisplayDensity`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static DisplayDensity[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### COMPACT

    public static final DisplayDensity COMPACT
    The display density is compact.

  - ### COMFORTABLE

    public static final DisplayDensity COMFORTABLE
    The display density is comfortable.

- ## Method Details

  - ### values

    public static DisplayDensity[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static DisplayDensity valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getLabel

    public UserMessage getLabel()
    Returns the display density label.